Xerces 3.1.1

## org.apache.wml.dom
Class WMLMetaElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.wml.dom.WMLElementImpl
                                    |
                                    +--org.apache.wml.dom.WMLMetaElementImpl

public class WMLMetaElementImpl
extends WMLElementImpl
implements WMLMetaElement

Version:
  $Id: WMLMetaElementImpl.java,v 1.1 2000/04/23 18:07:47 david Exp $
See Also:
  Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`WMLMetaElementImpl(WMLDocumentImpl owner, java.lang.String tagName)`

Method Summary
`java.lang.String` `getClassName()`
`java.lang.String` `getContent()`
`boolean` `getForua()`
`java.lang.String` `getHttpEquiv()`
`java.lang.String` `getId()`
`java.lang.String` `getName()`
`java.lang.String` `getScheme()`
`void` `setClassName(java.lang.String newValue)` The 'class' attribute of a element that affiliates an elements with one or more elements.
`void` `setContent(java.lang.String newValue)` 'content' attribute specifies the property value
`void` `setForua(boolean newValue)` 'forua' attribute specifies whether a intermediate agent should remove this meta element.
`void` `setHttpEquiv(java.lang.String newValue)` 'http-equiv' attribute indicates the property should be interpret as HTTP header.
`void` `setId(java.lang.String newValue)` The element's identifier which is unique in a single deck.
`void` `setName(java.lang.String newValue)` 'name' attribute specific the property name
`void` `setScheme(java.lang.String newValue)` 'scheme' attribute specifies a form that may be used to interpret the property value

Methods inherited from class org.apache.wml.dom.WMLElementImpl
`getXmlLang, setXmlLang`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WMLMetaElementImpl

    public WMLMetaElementImpl(WMLDocumentImpl owner,
                              java.lang.String tagName)

Method Detail

### setForua

    public void setForua(boolean newValue)

  Description copied from interface: WMLMetaElement
  'forua' attribute specifies whether a intermediate agent should remove this meta element. A value of false means the intermediate agent must remove the element.
  Specified by:
    setForua in interface WMLMetaElement

### getForua

    public boolean getForua()

  Specified by:
    getForua in interface WMLMetaElement

### setScheme

    public void setScheme(java.lang.String newValue)

  Description copied from interface: WMLMetaElement
  'scheme' attribute specifies a form that may be used to interpret the property value
  Specified by:
    setScheme in interface WMLMetaElement

### getScheme

    public java.lang.String getScheme()

  Specified by:
    getScheme in interface WMLMetaElement

### setClassName

    public void setClassName(java.lang.String newValue)

  Description copied from interface: WMLElement
  The 'class' attribute of a element that affiliates an elements with one or more elements. (Section 8.9, WAP WML Version 16-Jun-1999)
  Overrides:
    setClassName in class WMLElementImpl

### getClassName

    public java.lang.String getClassName()

  Overrides:
    getClassName in class WMLElementImpl

### setHttpEquiv

    public void setHttpEquiv(java.lang.String newValue)

  Description copied from interface: WMLMetaElement
  'http-equiv' attribute indicates the property should be interpret as HTTP header.
  Specified by:
    setHttpEquiv in interface WMLMetaElement

### getHttpEquiv

    public java.lang.String getHttpEquiv()

  Specified by:
    getHttpEquiv in interface WMLMetaElement

### setId

    public void setId(java.lang.String newValue)

  Description copied from interface: WMLElement
  The element's identifier which is unique in a single deck. (Section 8.9, WAP WML Version 16-Jun-1999)
  Overrides:
    setId in class WMLElementImpl

### getId

    public java.lang.String getId()

  Overrides:
    getId in class WMLElementImpl

### setContent

    public void setContent(java.lang.String newValue)

  Description copied from interface: WMLMetaElement
  'content' attribute specifies the property value
  Specified by:
    setContent in interface WMLMetaElement

### getContent

    public java.lang.String getContent()

  Specified by:
    getContent in interface WMLMetaElement

### setName

    public void setName(java.lang.String newValue)

  Description copied from interface: WMLMetaElement
  'name' attribute specific the property name
  Specified by:
    setName in interface WMLMetaElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface WMLMetaElement

Xerces 3.1.1